Bug 1251702 - Sayonara: No sound engine available
Sayonara: No sound engine available
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sayonara (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: MartinKG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 19:57 EDT by Andres Noce
Modified: 2015-08-26 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.6-6.svn119.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 12:49:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andres Noce 2015-08-08 19:57:24 EDT
Description of problem: sayonara for x86_64 doesn't play music because compiled version for x86_64 tries to use /usr/lib/sayonara instead of /usr/lib64/sayonara

Version-Release number of selected component (if applicable): 0.6.6-4.svn73.fc22

How reproducible:

Steps to Reproduce:
1. dnf -y install sayonara
2. open sayonara
3. try to play sound/music

Actual results:
does not play any sound

Expected results:
play sound/music

Additional info:

[vz9mv9@lxvz9mv901 ~]$ uname -a
Linux lxvz9mv901 4.1.3-201.fc22.x86_64 #1 SMP Wed Jul 29 19:50:22 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[vz9mv9@lxvz9mv901 ~]$ rpm -q sayonara
sayonara-0.6.6-4.svn73.fc22.x86_64


[vz9mv9@lxvz9mv901 ~]$ sayonara 
Debug: Case sensitive like: 0
**** All settings initialized ****
Debug: Install path in /usr
DBus: org.gnome.SettingsDaemon registered
Check for /usr/lib/sayonara
Debug: libpath = 
Debug: connections done
Listening on port 54054
DBus: org.mpris.MediaPlayer2.sayonara registered
Num engines found: 0
Error: No sound engine available
Error: No Sound Engine found! You fucked up the installation. Aborting...



a workaround is possible: 

close sayonara
create a synlink ln -s /usr/lib64/sayonara /usr/lib/sayonara
open sayonara and play music.
after that:

[vz9mv9@lxvz9mv901 ~]$ sayonara 
Debug: Case sensitive like: 0
**** All settings initialized ****
Debug: Install path in /usr
DBus: org.gnome.SettingsDaemon registered
Check for /usr/lib/sayonara
Debug: libpath = /usr/lib/sayonara/
Debug: ****Pipeline: constructor finished: 
Debug: Broadcast active? 0
Found plugin libnotify
Debug: connections done
Listening on port 54054
DBus: org.mpris.MediaPlayer2.sayonara registered
Quality: 2
Quality: 0
Plugin Level
Plugin Webstreams
Plugin Equalizer
Plugin Playlists
Plugin Podcasts
Plugin mp3 Converter
Plugin Bookmarks
Plugin Speed
Plugin Broadcast
Check for /usr/lib/sayonara
Debug: libpath = /usr/lib/sayonara/
possible plugin: /usr/lib/sayonara/libsayonara_gstreamer.so

and there he founds the gstreamer!
Comment 1 MartinKG 2015-08-09 04:30:58 EDT
problem confirmed, hopefully solved next weekend.
Comment 2 Fedora Update System 2015-08-14 09:43:39 EDT
sayonara-0.6.6-6.svn119.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sayonara-0.6.6-6.svn119.fc21
Comment 3 Fedora Update System 2015-08-14 09:46:04 EDT
sayonara-0.6.6-6.svn119.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/sayonara-0.6.6-6.svn119.fc22
Comment 4 Fedora Update System 2015-08-26 12:49:40 EDT
sayonara-0.6.6-6.svn119.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-08-26 13:49:56 EDT
sayonara-0.6.6-6.svn119.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.